- Home
- API Enriched
- Service Mesh
- ml
- GET PDF
GET PDF
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/api_endpoint/pdf';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/ml/data/namespaces/example/app_types/example/api_endpoint/pdf \ --header 'Authorization: <Authorization>'GET PDF of all metrics for a given auto discovered API endpoint for App type.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace of the App type for current request.
App Type App Type for current request.
Query Parameters
Section titled “Query Parameters”API endpoint for which PDFs are requested.
Method of API endpoint for which PDFs are requested.
Responses
Section titled “Responses”A successful response.
Shape of response to GET PDF for a given API endpoint.
object
object
Creation_timestamp represents the time when this PDF was created It is represented in RFC3339 form and is in UTC.
List of Probability density points for PDF for error rate.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for latency of response begin.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for latency of response end.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for request rate.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for request size.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for response size.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
List of Probability density points for PDF for response throughput.
Probability Density point in (PDF(x)) of the metric. X is the value of the metric, probability is the corresponding PDF(x). In the univariate case (current configuration), the value x of the metrics is a scaler. As PDFSpec is repeated (see below), the x values are linearly spaced monotonically from minimum to maximum.
object
Probability of given Value of the metric that can be plotted on y-axis.
Value of the metric that can be plotted on x-axis.
object
Pdf_95 represents the 95th percentile of PDF.
Pdf_mean represents the mean of PDF.
Examplegenerated
{ "pdf_info": { "creation_timestamp": "2026-04-15T12:00:00Z", "error_rate": [ { "probability": 1, "x": 1 } ], "error_rate_stat": { "pdf_95": 1, "pdf_mean": 1 }, "latency_no_data": [ { "probability": 1, "x": 1 } ], "latency_no_data_stat": { "pdf_95": 1, "pdf_mean": 1 }, "latency_with_data": [ { "probability": 1, "x": 1 } ], "latency_with_data_stat": { "pdf_95": 1, "pdf_mean": 1 }, "request_rate": [ { "probability": 1, "x": 1 } ], "request_rate_stat": { "pdf_95": 1, "pdf_mean": 1 }, "request_size": [ { "probability": 1, "x": 1 } ], "request_size_stat": { "pdf_95": 1, "pdf_mean": 1 }, "response_size": [ { "probability": 1, "x": 1 } ], "response_size_stat": { "pdf_95": 1, "pdf_mean": 1 }, "response_throughput": [ { "probability": 1, "x": 1 } ], "response_throughput_stat": { "pdf_95": 1, "pdf_mean": 1 } }}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example